#loading-indicator::after,
#loading-indicator::before {
	box-sizing: border-box;
	left: 50%;
	position: absolute;
	top: 50%
}
#loading-indicator {
	background-color: rgba(0, 0, 0, .5);
	bottom: 0;
	box-sizing: border-box;
	font-size: 1px;
	height: 100%;
	left: 0;
	margin: 0!important;
	padding: 0!important;
	position: fixed;
	right: 0;
	top: 0;
	width: 100%;
	z-index: 2147483646
}
#loading-indicator::before {
	background: url(../images/loading-new.gif) center center no-repeat rgba(0, 0, 0, 0);
	content: "";
	height: 70px;
	margin-left: -35px;
	margin-top: -70px;
	width: 70px;
	z-index: 2
}
#loading-indicator::after {
	background: #fff;
	border-radius: 5px;
	color: #000;
	content: "Processing, one moment please... ";
	font-family: arial;
	font-size: 17px;
	height: 110px;
	line-height: 98px;
	margin-left: -150px;
	margin-top: -75px;
	padding-top: 35px;
	text-align: center;
	width: 300px;
	z-index: 1
}
@-webkit-keyframes scaleout {
	0% {
		-webkit-transform: scale(0)
	}
	100% {
		-webkit-transform: scale(1);
		opacity: 0
	}
}
@keyframes scaleout {
	0% {
		transform: scale(0);
		-webkit-transform: scale(0)
	}
	100% {
		transform: scale(1);
		-webkit-transform: scale(1);
		opacity: 0
	}
}

.app-benchmark {
  position: fixed;
  width: 98%;
  left: 0;
  bottom: 0;
  padding: 5px 1%;
  background-color: #CCC;
  color: #333;
  text-align: right
}

#app_common_modal, #error_handler_overlay {
  position: fixed;
  top: 0;
  left: 0;
  padding: 0;
  margin: 0;
  width: 100%;
  height: 100%;
  z-index: 2147483647;
  background: #333;
  background: rgba(255, 255, 255, .8);
  display: none;
  overflow-x: hidden;
  -webkit-overflow-scrolling: touch
}

#app_common_modal .app_modal_body, #error_handler_overlay .error_handler_body {
  max-width: 600px;
  -webkit-background-clip: padding-box;
  font-family: Verdana, Geneva, sans-serif;
  box-sizing: border-box;
  outline: 0;
}

#error_handler_overlay .error_handler_body {
  margin: 0vh auto;
  width: 95%;
  padding: 20px;
  background-color: #fff;
  background-clip: padding-box;
  border: 1px solid #999;
  border: 1px solid rgba(0, 0, 0, .2);
  border-radius: 0;
  -webkit-box-shadow: 0 3px 9px rgba(0, 0, 0, .5);
  box-shadow: 0 3px 9px rgba(0, 0, 0, .5);
  font-size: 14px;
  line-height: 1.42857143;
  color: #333;
  /* position: relative; */
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  min-height: inherit;
  max-height: 80vh;
  left: 50%;
  top: 50%;
  -webkit-transform: translate(-50%, -50%);
  -moz-transform: translate(-50%, -50%);
  -o-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
  position: absolute;
}

#error_handler_overlay .error_handler_body ul{
    padding-left: 0;
    margin-bottom: 0;
}

#app_common_modal_close, #error_handler_overlay_close {
  position: absolute;
  right: -10px;
  top: -10px;
  color: #FFF;
  background-color: #333;
  border: 2px solid #FFF;
  border-radius: 50%;
  width: 30px;
  height: 30px;
  text-align: center;
  cursor: pointer;
  text-decoration: none;
  font-weight: 700;
  line-height: 30px;
  padding: 0;
  margin: 0
}

#app_common_modal .app_modal_body {
  /* margin: 100px auto; */
  min-width: inherit;
  width: 95%;
  min-height: 400px;
  padding: 2.5%;
  background-color: #fff;
  background-clip: padding-box;
  border: 1px solid #999;
  border: 1px solid rgba(0, 0, 0, .2);
  border-radius: 0;
  -webkit-box-shadow: 0 3px 9px rgba(0, 0, 0, .5);
  box-shadow: 0 3px 9px rgba(0, 0, 0, .5);
  font-size: 14px;
  line-height: 1.42857143;
  color: #333;
  position: relative;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  -ms-box-sizing: border-box;
  margin: 10vh auto;
    /* min-height: inherit; */
    /* height: 80vh; */
}

#error_handler_overlay .error_handler_body ul li{
  font-size: 14px;
  text-align: left;
}

#app_common_modal .app_modal_body iframe {
  min-height: inherit;
  width: 100%;
  border: 1px solid #d5d6ef
}


.app-load-spinner {
  display: none;
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  width: 100px;
  height: 100px;
  margin: auto;
  background-color: #333;
  border-radius: 100%
}


/*landscape codebase popup issue fixing:*/
@media only screen and (max-width: 1199px) and (orientation:landscape) {
  #app_common_modal .app_modal_body {
    margin: 10vh auto;
    min-height: inherit;
    height: 80vh;
  }

  #app_common_modal .app_modal_body iframe {
    min-height: inherit;
    height: 100%;
  }
  #error_handler_overlay .error_handler_body ul {
        overflow-y: auto;
        height: 100%;
        flex-direction: column;
        max-height: calc(80vh - 40px);
        margin-bottom: 0;
        padding-left: 0;
    }
    #error_handler_overlay .error_handler_body{
        margin: 0vh auto;
        min-height: inherit;
        max-height: 80vh;
        left: 50%;
        top: 50%;
        -webkit-transform: translate(-50%, -50%);
        -moz-transform: translate(-50%, -50%);
        -o-transform: translate(-50%, -50%);
        -ms-transform: translate(-50%, -50%);
        transform: translate(-50%, -50%);
        position: absolute;
    }

}

#app_common_modal_close, #error_handler_overlay_close {
  display: flex; 
  justify-content: center; 
  align-items: center; 
  line-height: 1;
}

@media only screen and (max-width: 576px) and (orientation:portrait) {
    #app_common_modal .app_modal_body iframe {
      min-height: 65vh;
    }
    #app_common_modal .app_modal_body {
      min-height: 0; 
      height: auto;
      margin: 16.25vh auto 0;
    }
}